@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  width: 100%;
  height: 93vh !important;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: #fff;
  overflow-x: hidden;
}

.loading-spinner {
    border: 2px solid #f3f3f3;
    border-top: 2px solid #3498db;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 1s linear infinite;
    z-index: 1000;
}

.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    transition: opacity 0.75s, visibility 0.75s;
    z-index: 9999;
}

.loader-hidden {
    opacity: 0;
    visibility: hidden;
}

.loader::after {
    content: "";
    width: 75px;
    height: 75px;
    border: 15px solid #dddddd;
    border-top-color: rgba(0, 89, 179, 1);
    border-radius: 50%;
    animation: loading 0.75s ease infinite;
}

@keyframes loading {
    from {
        transform: rotate(0turn);
    }
    to {
        transform: rotate(1turn);
    }
}

.contentWrap{
    width: 100%;
    height: 93vh;
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

.blueHeaderBarBG{
    width: 100%;
    height: 10vh;
    background: linear-gradient(
      to bottom,
      #83a5f8,
      #4e6dc0
    );
    max-height: 100px;
}

.bgContent{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 50, 0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.mainContent{
    background: #f6f5f5;
    width: 97vw;
    height: 93vh;
    z-index: 3;
    border-radius: 15px;
    /*overflow: hidden;*/
}

.startingPage, .createPage, .backCreateBtn{
    width: 100%;
    height: 93vh;
    opacity: 0;
    pointer-events: none;
    
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    
    transition:
    opacity 300ms ease,
    transform 300ms ease;
}

.backCreateBtn{
    display: flex !important;
    height: 100%;
    flex-direction: row;
    justify-content: flex-end;
    opacity: 1;
    pointer-events: auto;
}

.contentHeader{
    border-radius: 15px 15px 0 0;
    position: relative;
    width: 100%;
    height: 8vh;
    max-height: 80px;
    background: rgba(225,225,225);
    
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-left: 20px;
}

.contentHeader img{
    width:  80px;
    height: 80px;
}

.contentHeader h2, .titleWrap h2, .createPageTitle h2{
    font-size: max(1.3vw, 1rem);
    color: #3d3d74;
    margin: 6px 0 6px 0 ;
    text-align: center;
}

.contentHeader h2, .createPageTitle h2, .createPageTitle h4{
    text-align: left !important;
}

.titleWrap h4, .createPageTitle h4, .footerWrap h4{
    font-weight: normal;
    font-size: max(0.8vw, 0.5rem);
    color: #3d3d74;
    margin: 0 6px 0 6px;
    text-align: center;
}

.titleWrap h4 a, .footerWrap h4 a{
    text-decoration: none;
    color: #3d3d74;
}

.titleWrap{
    width: 100%;
    height: 15%;
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.createPageTitle{
    width: 100%;
    height: 10%;
    
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
    padding-left: 20px;
    margin: 12px 0 12px 0;
}

.lineFiller{
    width: 30%;
    height: 1px;
    border-top: 0.5px solid #8686ab;
}

.FirstNavButtonsContainer{
    width: 90%;
    height: 50%;
    max-height: 400px;
    
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    gap: 10px;
}

.firstNavButtons {
  width: 40%; /* grow, shrink, base width */
  height: 90%;
  background-color: #f5f5fe;
  color: #3d3d74;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  border-radius: 6px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.4);
  max-height: 300px;
}

.firstNavButtons h5 {
    font-size: max(0.7vw, 0.5rem);
    font-weight: normal;
    text-align: center;
}

.firstNavButtons h4 {
    font-size: max(0.9vw, 0.7rem);
    text-align: center;
}

.firstButtonHolder{
    width: 90%;
    height: 15%;
    border: 1px solid #3d3d74;
    border-radius: 3px;
    padding: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.uploadIcon, .arrow-left{
    height: 100%;
    align-content: center;
}

.firstButtons{
    background: #3d3d74;
    color: white;
    width: 60%;
    height: 100%;
    border: none;
    border-radius: 3px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.1s ease-in;
    font-size: max(0.9vw, 0.5rem);
}

.firstButtons span, .deleteRow span{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    
    width: 1.80em;
    height: 1.80em;
    
    flex-shrink: 0; /* prevents squishing beside text */
}

.firstButtons span svg, .deleteRow span svg{
    width: 100%;
    height: 100%;
    display: block;
}

.topButtons{
    background: rgba(225,225,225);
    color: #3d3d74;
    width: 9vh;
    height: 60%;
    border: 1px solid #3d3d74;
    border-radius: 3px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.1s ease-in;
}

.firstButtons:hover{
    transform: scale(1.03);
}

.firstButtons:active{
    transform: scale(1.01);
}

.active {
  display: flex;
  pointer-events: auto;
}

.activeGrid{
    display: grid !important;
    pointer-events: auto
}

.activeBtn{
    background: rgb(235,235,235) !important;
}

.fade-in {
  animation: fadeIn 300ms ease forwards;
}

.fade-out {
  animation: fadeOut 300ms ease forwards;
}

@keyframes fadeIn {
  from { opacity: 0; }
  to   { opacity: 1; }
}

@keyframes fadeOut {
  from { opacity: 1; }
  to   { opacity: 0; }
}

.inputWrap{
    background: rgba(225,225,225);
    width: 100%;
    height: 100%;
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding: 0 15px 0 15px;
    
}

.inputNav {
    width: 100%;
    height: 6%;
    background: #f6f5f5;
    border-radius: 3px 3px 0 0;
    display: flex;
    justify-content: flex-start;
    position: relative;
    margin-top: 6px;
    gap: 6px;
}

.inputNav > * {
    flex: 0 0 auto;
    white-space: nowrap;
}

.inputNav:has(:nth-child(2)) {/*ignore the error XD :has is for new browsers but parser is old*/
    justify-content: space-between;
}

.inputNav:has(:nth-child(2)) > * {/*ignore the error XD :has is for new browsers but parser is old*/
    flex: 1 1 0;
    text-align: center;
}

.inputNavButtons{
    font-size:  max(0.8vw, 0.5rem);
    display: flex;
    align-items: center;
    justify-content: center;
    
    padding: 8px 12px;
    line-height: 1.2;
    text-align: center;
    
    white-space: normal;
    word-break: break-word;
    
    min-height: 34px;
    
    background: none;
    border: none;
    /*border-bottom: 3px solid rgb(225,225,225);*/
    color: #3d3d74;
    position: relative;              /* anchor for underline */
    transition: color 0.2s ease;
    box-shadow: 0 0 4px rgba(0,0,0,0.4);
    cursor: pointer;
}

/* SINGLE underline */
.nav-underline {
  position: absolute;
  bottom: 0;
  height: 3px;
  background: #3b82f6;
  transition:
    left 0.35s cubic-bezier(.4,0,.2,1),
    width 0.35s cubic-bezier(.4,0,.2,1);
  left: 0;
  width: 0;
  z-index: 5;
}

.inputNavButtons:hover{
    background: rgb(235,235,235);
}

.mainInputs{
    width: 100%;
    /*height: 100%;*/
    background: rgba(225,225,225);
    border-radius: 0 0 3px 3px;
    padding-top: 10px;
    
    display: flex;
    flex-direction: row-reverse;
    align-items:  flex-start;
    justify-content: flex-start;
    gap: 6px;
}

.complianceChecker{
    width: 25%;
    height: 76.5vh;
    background: #f6f5f5;
    border: none;
    border-radius: 6px;
    min-width: 150px;
    margin-top: 6px;
}

.checklistWrap {
  display: grid;
  grid-template-columns:
    clamp(10px, 1.1vw, 28px) minmax(6vw, 1fr)
    clamp(10px, 1.1vw, 28px) minmax(3vw, 1fr);
  align-items: center;
  width: 100%;
  gap: 3px;
}

.applicationChecklist{
    padding-top: 6px;
    width: 100%;
    height: 100%;
}

.applicationChecklist p{
    font-size: max(0.8vw, 0.4rem);
    color: #3d3d74;
    font-weight: bold;
}

/*.checklistWrap-checkbox{*/
/*    display: flex;*/
/*    align-items: center;*/
/*    justify-content: center;*/
/*    width: 30%;*/
/*}*/

.checklistWrap-textBox{
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: flex-start;*/
    font-size: max(0.9vw, 0.6rem);
    /*width: 70%;*/
}

.checklistWrap-textBox p{
    font-weight: normal;
}

.inputContainers{
    width: 100%;
    height: 70.5vh;
    
    display: none;
    grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
    gap: 6px;
    overflow-y: scroll;
}

.inputFields{
    background: #f6f5f5;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    /*align-self: flex-start;*/
}

.inputContainers{
  overflow: auto;

  /* Firefox */
  scrollbar-width: thin;
  scrollbar-color: #3d3d74 transparent;
}

.complianceCheckerWrap::-webkit-scrollbar{
    display: none;
}

/* Chrome, Edge, Safari */
.inputContainers::-webkit-scrollbar {
  width: 6px;
  /*height: 6px;*/
}

.inputContainers::-webkit-scrollbar-track {
  background: transparent;   /* removes track background */
}

.inputContainers::-webkit-scrollbar-thumb {
  background-color: #3d3d74;
  border-radius: 10px;
  border: none;              /* remove default padding illusion */
}

.inputFields section{
    width: 100%;
    height: 100%;
    padding: 12px;
}

.tableWrap{
    width: 100%;
    height: 100%;
    border: 2px solid rgb(205,205,205);
    border-radius: 6px;
    overflow: hidden;
}

.tableHeader{
    height: 4vh;
    border-bottom: 2px solid rgb(205,205,205);
    background: rgba(225,225,225);
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
}

.tableCell{
    height: 100%;
    padding: 3px 10px 3px 10px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.tableCell p{
    color: #3d3d74;
    font-size: max(0.9vw, 0.6rem);
    font-weight: bold;
}

.stay-left{
    padding-left: 10px !important;
    display: flex;
    justify-content: flex-start;
}

.stay-right{
    display: flex;
    justify-content: flex-end;
}

.no-borders{
    border: none !important;
}

.inputFields--whole {
    grid-column: 1 / -1; /* span both columns */
    max-height: 350px;
}

.inputDesigns{
    width: 100%;
    max-height: 30px;
    font-size: max(0.8vw, 0.6rem);
    background: #f6f5f5;
    border: 2px solid rgb(205,205,205);
    border-radius: 4px;
    padding: 3px 3px 3px 6px;
    outline: none;
    color: #3d3d74;
}

.inputDesigns::placeholder{
    text-align: center;
    font-style: italic;
    font-weight: bold;
    color: lightgray;
}

.half-inputs{
    width: 50%;
}

.inputDesigns:focus{
    border: 2px solid #3d3d74;
}

.tableBody{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 0 6px 0 6px;
}

.hasGap{
    gap: 6px;
}

.noPadding{
    padding: 0 !important;
}

.hasBorders{
    box-shadow: 0 0 0 1px rgb(205,205,205);
}

.noBorders{
    border: none !important;
}

.noRadius{
    border-radius: 0 !important;
}

.centerTableText{
    text-align: center;
    display: flex;
    align-items: center !important;
    justify-content: center !important;
}

.cellContainer{
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.cellWrap{
    width: 100%;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    padding: 6px;
}

.cellWrap label, .cellWrap p{
    color: #3d3d74;
    font-size: max(0.8vw, 0.4rem);
    margin-left: 6px;
}

.actualTableWrap{
    width: 100%;
    border: 2px solid rgb(205,205,205);
    border-radius: 6px;
    overflow: hidden;
}

.actualTableHeader{
    padding: 6px 10px;
    border-bottom: 2px solid rgb(205,205,205);
    background: rgba(225,225,225);
}

.actualTableHeader p{
    color: #3d3d74;
    font-size: max(0.9vw, 0.6rem);
    font-weight: bold;
}

.customTable td p{
    color: #3d3d74;
    font-size: max(0.8vw, 0.4rem);
    font-weight: bold;
}

/* ===== TABLE ===== */

.customTable{
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
}

.customTable th,
.customTable td{
    border: 1px solid rgb(205,205,205);
    text-align: center;
    vertical-align: middle;
}

.customTable th{
    background: #f2f2f2;
    color: #3d3d74;
    font-size: max(0.8vw, 0.4rem);
    padding: 3px;
}

.customTable input{
    width: 100%;
    height: 25px;
    font-size: max(0.8vw, 0.4rem);
    background: #f6f5f5;
    border: none;
    outline: none;
    text-align: center;
    color: #3d3d74;
}


.textAreaDesigns{
    width: 100%;
    min-height: 45px;
    max-height: 209px;
    resize: none;
    font-size: max(0.8vw, 0.4rem);
    background: #f6f5f5;
    border: none;
    border-bottom: 2px solid rgb(205,205,205);
    border-radius: 4px;
    outline: none;
    color: #3d3d74;
    resize: none;
    padding-left: 6px;
    scrollbar-width: thin;
}

.footerWrap{
    height: 3vh;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    
    background: rgba(225,225,225);
    
    border-radius: 0 0 15px 15px;
}

.addtable{
    border: none;
    background: #3d3d74;
    color: #f2f2f2;
    border-radius: 3px;
    padding: 3px;
    margin-top: 6px;
    font-size: max(0.8vw, 0.4rem);
}

.deleteRow {
  font-size: max(0.8vw, 0.6rem);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  margin: auto 0;
  
  background: #df3030;
  border: none;
  outline: none;
  border-radius: 3px;
  transition: All 0.05s ease-in;
}

.deleteRow:hover{
    background: #f95b5b;
    transform: scale(1.03);
}


@media (max-width: 630px) {
  .inputContainers {
    grid-template-columns: 1fr;
  }
  
  .inputFields {
    flex-direction: column;
  }
  
  
  .half-inputs{
      width: 100%;
  }
}

